import { isString, isArray, isPlainObject } from '../vendors/toolbox';
function resolveRouteParams(viewContent, keys) {
    let params = {};
    if (isString(keys) || isArray(keys)) {
        params = []
            .concat(keys)
            .reduce((acc, key) => (Object.assign(Object.assign({}, acc), { [key]: viewContent.getFieldValue(key) })), {});
    }
    else if (isPlainObject(keys)) {
        params = Object.entries(keys).reduce((acc, [routeParamKey, recordParamKey]) => (Object.assign(Object.assign({}, acc), { [routeParamKey]: viewContent.getFieldValue(recordParamKey) })), {});
    }
    return params;
}
export { resolveRouteParams };
